---------------------
PatchSet 10372 
Date: 2008/01/06 09:38:07
Author: adri
Branch: s27_adri
Tag: (none) 
Log:
Add a function to create a string from a given buf_t + offset + len.

Members: 
	libbuf/String.c:1.1.2.18->1.1.2.19 
	libbuf/String.h:1.1.2.22->1.1.2.23 

Index: squid/libbuf/String.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/libbuf/Attic/String.c,v
retrieving revision 1.1.2.18
retrieving revision 1.1.2.19
diff -u -r1.1.2.18 -r1.1.2.19
--- squid/libbuf/String.c	5 Jan 2008 11:45:17 -0000	1.1.2.18
+++ squid/libbuf/String.c	6 Jan 2008 09:38:07 -0000	1.1.2.19
@@ -1,6 +1,6 @@
 
 /*
- * $Id: String.c,v 1.1.2.18 2008/01/05 11:45:17 adri Exp $
+ * $Id: String.c,v 1.1.2.19 2008/01/06 09:38:07 adri Exp $
  *
  * DEBUG: section 67    String
  * AUTHOR: Duane Wessels
@@ -226,6 +226,17 @@
 	return n;	
 }
 
+String
+strSubBuf(buf_t *b, int start, int len)
+{
+	String n;
+
+	/* XXX for now just copy; we'll make this reference the buffer + offset later! */
+	/* XXX no error checking! */
+	stringLimitInit(&n, buf_buf(b) + start, len);
+	return n;
+}
+
 char *
 strCDupOffset(String s, int offset)
 {
Index: squid/libbuf/String.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/libbuf/Attic/String.h,v
retrieving revision 1.1.2.22
retrieving revision 1.1.2.23
diff -u -r1.1.2.22 -r1.1.2.23
--- squid/libbuf/String.h	5 Jan 2008 11:45:17 -0000	1.1.2.22
+++ squid/libbuf/String.h	6 Jan 2008 09:38:07 -0000	1.1.2.23
@@ -48,6 +48,7 @@
 extern int strToOffset(String s, off_t *off, int base);
 extern int strCSpn(String s, int start, const char *reject);
 extern String strSubStr(String s, int start, int len);
+extern String strSubBuf(buf_t *b, int start, int len);
 
 /* XXX None of these functions are non-NUL safe and they need to be later replaced */
 
